Package htsjdk.samtools

# Class NotPrimarySkippingIterator

java.lang.Object
htsjdk.samtools.SecondaryAlignmentSkippingIterator
htsjdk.samtools.NotPrimarySkippingIterator

@Deprecated public class NotPrimarySkippingIterator extends SecondaryAlignmentSkippingIterator
Deprecated.
use `SecondaryAlignmentSkippingIterator` instead.
Wrapper around SAMRecord iterator that skips over non-primary elements. This iterator conflates a filtering iterator and a peekable iterator. It would be cleaner to handle those concerns separately.

## Constructor Summary

Constructors
Constructor
Description
`NotPrimarySkippingIterator(CloseableIterator<SAMRecord> underlyingIt)`
Deprecated.

## Method Summary

### Methods inherited from class htsjdk.samtools.SecondaryAlignmentSkippingIterator

`advance, getCurrent, hasCurrent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NotPrimarySkippingIterator

public NotPrimarySkippingIterator(CloseableIterator<SAMRecord> underlyingIt)
Deprecated.